# Tarfile created from Mercurial repository
# hg clone https://rawtherapee.googlecode.com/hg/ %{name}-%{version}
# cd %{name}-%{version}
# hg update default
# rm -rf .hg*
# rm -rf doc/
# rm -rf rawzor*
# rm -rf tools/createicon.exe
# tar -cjvf ~/%{name}-%{version}-%{prerelease}.tar.bz2 ../%{name}-%{version}
%global prerelease hg
%global tarfile %{name}-%{version}-%{prerelease}.tar.bz2

Name:           rawtherapee-staging
Version:        4.0
Release:        0.4.%{prerelease}%{?dist}
Summary:        Raw image processing software

Group:          Applications/Multimedia 
License:        GPLv3 and MIT and IJG
URL:            http://www.rawtherapee.com/
Source0:        %{tarfile}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.6
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  gtkmm24-devel >= 2.16
BuildRequires:  lcms2-devel  libjpeg-devel libtiff-devel
BuildRequires:  libpng-devel libiptcdata-devel desktop-file-utils

Requires:       hicolor-icon-theme
# This package is rawtherapee with extra patches from the -staging repo
Conflicts:	rawtherapee


%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.


%prep
%setup -q

# fix wrong line endings
sed -i "s|\r||g" AUTHORS.txt COMPILE.txt

# Do not install useless rtstart:
sed -i "s|install (PROGRAMS rtstart|\#install (PROGRAMS rtstart|" CMakeLists.txt

# Tell version
cat > rtgui/version.h << EOF
#ifndef _VERSION_
#define _VERSION_

#define VERSION "Latest tag: 4.0.3, CSet 1546:82a49184fbe9"
#define TAGDISTANCE 3
#define CACHEFOLDERNAME "RawTherapee${CACHE_NAME_SUFFIX}"
#endif
EOF

cat > AboutThisBuild.txt << EOF
See package informations
EOF

%build
%{cmake} %{?BUILD_TESTS} -DLIBDIR=%{_libdir} -DCMAKE_BUILD_TYPE=None -DAUTOMATED_BUILD_SYSTEM:BOOL=ON -DCACHE_NAME_SUFFIX:STRING=%{version} .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# change .desktop filename (staging)
mv $RPM_BUILD_ROOT/%{_datadir}/applications/rawtherapee.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# These file are taken from the root already
rm $RPM_BUILD_ROOT/%{_datadir}/doc/rawtherapee/*.txt


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database %{_datadir}/applications || :

/sbin/ldconfig

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt LICENSE.txt COMPILE.txt
%{_bindir}/rawtherapee
%{_libdir}/*.so
%{_datadir}/rawtherapee/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/rawtherapee.png


%changelog
* Mon Sep 19 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.4.hg
 - New build from: Latest tag: 4.0.3, CSet 1546:82a49184fbe9 with distance 3

* Tue Sep 13 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.3.hg
 - New build from: Latest tag: 4.0.2, CSet 1536:5a13850dc04a with distance 31

* Tue Sep 6 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.2.hg
 - New build from: Latest tag: 4.0.2, CSet 1529:197beeb5e6d2 with distance 26

* Tue Aug 30 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.1.hg
 - New build from: Latest tag: 4.0.2, CSet 1507:e0e8e2245c88 with distance 7

* Sun Aug 21 2011 Thibault North <tnorth@fedoraproject.org> - 3.0.0-0.1.hg
 - New build from: Latest tag: 4.0.1, CSet 1483:83ab4299b1ad with distance 10

* Thu Aug 18 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.89.a1
 - New build from: Latest tag: 4.0.1, CSet 1481:db2e1c9fa6d2 with distance 8

* Thu Jul 7 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.88.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1382:ec8a1afe7bf6 with distance 64

* Mon Jul 4 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.87.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1376:53007480d300 with distance 58

* Mon Jun 27 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.86.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1343:0da061bc16bb with distance 35

* Thu Jun 23 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.85.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1329:930edc6947ba with distance 26

* Tue Jun 21 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.84.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1326:77917956a16b with distance 23

* Sun Jun 19 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.83.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1323:3f39f6299197 with distance 21

* Wed Jun 15 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.82.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1314:c0f1001b7cf8 with distance 14

* Fri Jun 10 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.81.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1300:90b8dcb885c0 with distance 2

* Wed Jun 8 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.80.a1
 - Fix crash at startup

* Wed Jun 8 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.79.a1
 - New build from: Latest tag: Dev-3.1m5, CSet 1291:573fe6c00561 with distance 19

* Tue Jun 7 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.78.a1
 - New build from: Latest tag: Dev-3.1m5, CSet 1280:a3575421be85 with distance 13

* Wed Jun 1 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.77.a1
 - New build from: Latest tag: Dev-3.1m5, CSet 1269:0cb962492436 with distance 3

* Tue May 24 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.76.a1
 - New build from: Latest tag: Dev-3.1m4, CSet 1256:9f591c317703 with distance 9

* Mon May 16 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.75.a1
 - New build from: Latest tag: Dev-3.1m4, CSet 1246:39290934baaf with distance 3

* Tue May 10 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.74.a1
 - New build from: Latest tag: Dev-3.1m3, CSet 1232:2e882f2e8bfe with distance 4

* Mon Apr 18 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.73.a1
 - New build from: Latest tag: Dev-3.1m1, CSet 1131:218f151ba05e with distance 37

* Tue Apr 5 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.72.a1
 - New build from: Latest tag: Dev-3.1m1, CSet 1109:ecf187fc8c32 with distance 29

* Fri Mar 25 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.71.a1
 - New build from: Latest tag: Dev-3.1m1, CSet 1071:56fcfe828d61 with distance 12

* Fri Mar 18 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.70.a1
 - New build from: Latest tag: Dev-3.1, CSet 1049:d24a6a102cb4 with distance 84

* Tue Mar 15 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.69.a1
 - New build from: Latest tag: Dev-3.1, CSet 1044:ad3a995b1301 with distance 83

* Fri Mar 11 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.68.a1
 - New build from: Latest tag: Dev-3.1, CSet 1037:c440a58c1cfc with distance 76

* Mon Mar 7 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.67.a1
 - New build from: Latest tag: Dev-3.1, CSet 1033:d6cdc043c840 with distance 73

* Thu Mar 3 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.66.a1
 - Sync to changeset:   1019:9a62e34bf390

* Mon Feb 21 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.65.a1
 - Sync to changeset:   1005:2464c6193549

* Mon Jan 24 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.64.a1
 - Sync to changeset:   884:0b36aeb0bc23

* Mon Jan 17 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.63.a1
 - Sync to changeset:   850:a9e9000319d8

* Mon Jan 10 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.62.a1
 - Sync to changeset:   825:45adb27e63a4

* Mon Jan 10 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.61.a1
 - Sync to changeset:   825:45adb27e63a4

* Fri Dec 24 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.60.a1
 - Sync to changeset:   755:9b76938f2a1a

* Sun Dec 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.59.a1
 - Sync to changeset:   735:20df50c72ccb

* Fri Dec 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.58.a1
 - Sync to changeset:   721:7049bbc01933

* Mon Dec 13 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.57.a1
 - Sync to changeset:   714:004a464658af

* Fri Dec 10 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.56.a1
 - Sync to changeset:   694:218e200f4561

* Fri Dec 3 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.55.a1
 - Sync to changeset:   652:f4598e313e73

* Sat Nov 27 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.54.a1
 - Sync to changeset:   612:b825992e0351

* Fri Nov 26 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.53.a1
 - Sync to changeset:   608:a2de0c7a2861

* Mon Nov 22 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.52.a1
 - Sync to changeset:   604:6d7f4462d271

* Wed Nov 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.51.a1
 - Sync to changeset:   592:a2e696e7ac8a

* Fri Nov 12 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.50.a1
 - Sync to changeset:   567:4dc2d22f9c08

* Thu Nov 11 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.49.a1
 - Sync to changeset:   559:6b4c2723a0b8

* Mon Nov 8 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.48.a1
 - Sync to changeset:   544:77d947286157

* Thu Nov 4 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.47.a1
 - Sync to changeset:   506:62184727e7a9

* Mon Nov 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.46.a1
 - Sync to changeset:   482:dd1e00fdbb23

* Sat Oct 30 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.45.a1
 - Sync to changeset:   467:951ab307b3a7

* Fri Oct 29 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.44.a1
 - Sync to changeset:   459:d418596c9d9e

* Thu Oct 28 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.43.a1
 - Sync to changeset:   442:1d67e8b9fbbf

* Mon Oct 25 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.42.a1
 - Sync to changeset:   435:d41c541a31a4

* Thu Oct 21 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.41.a1
 - Sync to changeset:   415:19a279b6ebd6

* Wed Oct 20 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.40.a1
 - Sync to changeset:   413:a5f57a0ec5cf

* Mon Oct 18 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.39.a1
 - Sync to changeset:   394:7d444d1e53f9

* Mon Oct 18 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.38.a1
 - Sync to changeset:   393:71246ab5818f

* Tue Oct 12 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.37.a1
 - Sync to changeset:   374:6cba4a556d07

* Thu Oct 7 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.36.a1
 - Sync to changeset:   360:09f6415272e0

* Mon Oct 4 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.35.a1
 - Sync to changeset:   316:404c122f788c

* Wed Sep 29 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.34.a1
 - Sync to changeset:   304:f49274ce24de

* Thu Sep 23 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.33.a1
 - Sync to changeset:   292:a4a22328f5f6

* Fri Sep 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.32.a1
 - Sync to changeset:   278:478361c97cb4

* Wed Sep 15 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.31.a1
 - Sync to changeset:   259:5534d9db7ee9

* Mon Sep 13 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.30.a1
 - Sync to changeset:   242:164c14042c09

* Thu Sep 9 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.29.a1
 - Sync to changeset:   223:5071a52a585c

* Wed Sep 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.28.a1
 - Sync to changeset:   218:55d308664117

* Sat Aug 28 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.27.a1
 - Sync to changeset:   214:562a6d36d861

* Thu Aug 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.26.a1
 - Sync to changeset:   199:77d6112031ae

* Tue Aug 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.25.a1
 - Sync to changeset:   193:38c23c24d316

* Sun Aug 8 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.24.a1
 - Sync to changeset:   190:95c852141026

* Thu Aug 5 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.23.a1
 - Sync to changeset:   187:8c3e8f68a130

* Mon Aug 2 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.22.a1
 - Sync to changeset:   185:569f764d8c67

* Sun Aug 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.21.a1
 - Sync to changeset:   182:2f52d43de68b

* Tue Jul 20 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.20.a1
 - Sync to changeset:   175:0746d3953717

* Fri Jul 16 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.19.a1
 - Sync to changeset:   173:332f5c5b2dde

* Sat Jul 10 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.18.a1
 - Sync to changeset:   168:5841bb4437a6

* Wed Jul 7 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.17.a1
 - Sync to changeset:   163:8ff3edd0f8ac

* Mon Jul 5 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.16.a1
 - Sync to changeset:   158:492f5aed9aa7

* Thu Jul 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.15.a1
 - Sync to changeset:   154:b9a138cb7672

* Wed Jun 30 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.14.a1
 - Sync to changeset:   152:df7e6e50277b

* Tue Jun 29 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.13.a1
 - Sync to changeset:   149:30c1d2840cb8

* Sat Jun 26 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.12.a1
 - Sync to changeset:   147:fb37e57e124d

* Thu Jun 24 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.11.a1
 - Sync to changeset:   146:785341c36af2

* Sat Jun 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.10.a1
 - Sync to changeset:   144:ba36250eb351

* Sat Jun 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.9.a1
 - Sync to changeset:   142:33f77d0e8011

* Thu Jun 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.8.a1
 - Sync to changeset:   140:81052bfa2602

* Tue Jun 15 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.7.a1
 - Sync to changeset:   138:b69190b7bd66

* Tue Jun 15 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.6.a1
 - Sync to changeset:   137:84396720b063

* Sat Jun 12 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.5.a1
 - Sync to changeset:   135:4ebc6db6041d

* Mon Jun 7 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.4.a1
 - Sync to changeset:   129:0ca541fe0e0b

* Sat Jun 5 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.3.a1
 - Sync to changeset:   126:fcdf8c8511b7

* Fri Jun 4 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.2.a1
- Auto C/A correction and fixes

* Thu Jun 2 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.1.a1
- Initial package from the unofficial (staging) repository.
